package com.yeejoin.amos.fas.business.dao.mapper;

import java.util.HashMap;
import java.util.List;

import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;
import com.yeejoin.amos.fas.dao.entity.RiskFactor;

public interface RiskFactorMapper extends BaseMapper {
   /**
    * 危险因素查询，分页查询统计用
    * @param param
    * @return
    */
	long countPageData(CommonPageInfoParam param);
    
	/**
	 * 危险因素分页查询
	 * @param param
	 * @return
	 */
	List<HashMap<String, Object>> queryRiskFactorPage(CommonPageInfoParam param);
	
	Long countRepeatData(RiskFactor param);

}
